Skip to main content
GET
/
token-unlocks
/
v1
/
allocations
Get Allocations information by asset IDs
curl --request GET \
  --url https://api.messari.io/token-unlocks/v1/allocations \
  --header 'X-Messari-API-Key: <api-key>'
import requests

url = "https://api.messari.io/token-unlocks/v1/allocations"

headers = {"X-Messari-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};

fetch('https://api.messari.io/token-unlocks/v1/allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": null,
  "data": [
    {
      "asset": {
        "id": "97775be0-2608-4720-b7af-f85b24c7eb2d",
        "name": "XRP",
        "slug": "xrp",
        "symbol": "XRP"
      },
      "genesisDate": "2012-06-01T00:00:00Z",
      "projectedEndDate": "2022-06-01T00:00:00Z",
      "totalAllocationUSD": 238697977801.6666,
      "totalAllocationNative": 100000000000,
      "cumulativeUnlockedUSD": 238697977801.6666,
      "cumulativeUnlockedNative": 100000000000,
      "unlocksRemainingUSD": 0,
      "unlocksRemainingNative": 0,
      "percentOfUnlocksCompleted": 1,
      "allocationRecipientCount": 3,
      "lastUpdatedAt": "2025-03-08T13:19:53.477266Z",
      "allocations": [
        {
          "allocationRecipient": "Founders",
          "totalAllocationUSD": 47739595560.33332,
          "totalAllocationNative": 20000000000,
          "cumulativeUnlockedUSD": 47739595560.33332,
          "cumulativeUnlockedNative": 20000000000,
          "unlocksRemainingUSD": 0,
          "unlocksRemainingNative": 0,
          "percentOfUnlocksCompleted": 1,
          "description": "20% allocated to founders. Chris Larsen and Jed McCaleb recieved 9.5 billion XRP each and Aurthur Britto recieved 1 billion XRP.",
          "assumptions": "",
          "sources": [
            {
              "sourceType": "Third-party Website",
              "source": "https://tokeninsight.com/en/coins/ripple/tokenomics"
            }
          ]
        },
        {
          "allocationRecipient": "Ripple",
          "totalAllocationUSD": 190480986285.72995,
          "totalAllocationNative": 79800000000,
          "cumulativeUnlockedUSD": 190480986285.72995,
          "cumulativeUnlockedNative": 79800000000,
          "unlocksRemainingUSD": 0,
          "unlocksRemainingNative": 0,
          "percentOfUnlocksCompleted": 1,
          "description": "79.8% allocated to Ripple. In December 2017 55 billion XRP were escrowed, with 1 billion XRP released per month.",
          "assumptions": "Monthly unlocks on the first. Ripple is a private company and not a foundation.",
          "sources": [
            {
              "sourceType": "Third-party Website",
              "source": "https://tokeninsight.com/en/coins/ripple/tokenomics"
            }
          ]
        },
        {
          "allocationRecipient": "Airdrop",
          "totalAllocationUSD": 477395955.6033332,
          "totalAllocationNative": 200000000,
          "cumulativeUnlockedUSD": 477395955.6033332,
          "cumulativeUnlockedNative": 200000000,
          "unlocksRemainingUSD": 0,
          "unlocksRemainingNative": 0,
          "percentOfUnlocksCompleted": 1,
          "description": "0.2% allocated to airdrop.",
          "assumptions": "",
          "sources": [
            {
              "sourceType": "Third-party Website",
              "source": "https://tokeninsight.com/en/coins/ripple/tokenomics"
            }
          ]
        }
      ]
    },
    {
      "asset": {
        "id": "e5150c9a-f6a8-4bb1-80db-0c21bc452d71",
        "name": "SuperWalk",
        "slug": "superwalk",
        "symbol": "grnd"
      },
      "genesisDate": "2022-09-06T00:00:00Z",
      "projectedEndDate": "2028-02-05T00:00:00Z",
      "totalAllocationUSD": 37892295.48666718,
      "totalAllocationNative": 1000000000,
      "cumulativeUnlockedUSD": 28648240.808871932,
      "cumulativeUnlockedNative": 756043951.44,
      "unlocksRemainingUSD": 9244054.677795246,
      "unlocksRemainingNative": 243956048.56,
      "percentOfUnlocksCompleted": 0.75604395144,
      "allocationRecipientCount": 9,
      "lastUpdatedAt": "2025-06-29T20:50:20.888134Z",
      "allocations": [
        {
          "allocationRecipient": "Move to Earn",
          "totalAllocationUSD": 17430455.9238669,
          "totalAllocationNative": 460000000,
          "cumulativeUnlockedUSD": 9459792.891891861,
          "cumulativeUnlockedNative": 249649507.12,
          "unlocksRemainingUSD": 7970663.03197504,
          "unlocksRemainingNative": 210350492.88,
          "percentOfUnlocksCompleted": 0.5427163198260869,
          "description": "46% allocation, 0% of allocation released at TGE, followed by 5-month cliff then 60-month linear vesting.",
          "assumptions": "",
          "sources": [
            {
              "sourceType": "Project Documents",
              "source": "https://docs.superwalk.io/english/tokenomics/usdgrnd-governance-token"
            }
          ]
        },
        {
          "allocationRecipient": "IDO",
          "totalAllocationUSD": 88415.34350479158,
          "totalAllocationNative": 2333333,
          "cumulativeUnlockedUSD": 88415.34350479158,
          "cumulativeUnlockedNative": 2333333,
          "unlocksRemainingUSD": 0,
          "unlocksRemainingNative": 0,
          "percentOfUnlocksCompleted": 1,
          "description": "0.2333% allocation, 100% of allocation released at TGE, no cliff or vesting.",
          "assumptions": "",
          "sources": [
            {
              "sourceType": "Project Documents",
              "source": "https://docs.superwalk.io/english/tokenomics/usdgrnd-governance-token"
            }
          ]
        },
        {
          "allocationRecipient": "Team",
          "totalAllocationUSD": 5683844.323000077,
          "totalAllocationNative": 150000000,
          "cumulativeUnlockedUSD": 5683844.323000077,
          "cumulativeUnlockedNative": 150000000,
          "unlocksRemainingUSD": 0,
          "unlocksRemainingNative": 0,
          "percentOfUnlocksCompleted": 1,
          "description": "15% allocation, 0% of allocation released at TGE, followed by 12-month cliff then 24-month linear vesting.",
          "assumptions": "",
          "sources": [
            {
              "sourceType": "Project Documents",
              "source": "https://docs.superwalk.io/english/tokenomics/usdgrnd-governance-token"
            }
          ]
        },
        {
          "allocationRecipient": "Ecosystem",
          "totalAllocationUSD": 3321891.2502952544,
          "totalAllocationNative": 87666667,
          "cumulativeUnlockedUSD": 2048499.604475048,
          "cumulativeUnlockedNative": 54061111.32,
          "unlocksRemainingUSD": 1273391.6458202065,
          "unlocksRemainingNative": 33605555.68,
          "percentOfUnlocksCompleted": 0.6166666667046895,
          "description": "8.7667% allocation, 0% of allocation released at TGE, no cliff, followed by 60-month linear vesting.",
          "assumptions": "",
          "sources": [
            {
              "sourceType": "Project Documents",
              "source": "https://docs.superwalk.io/english/tokenomics/usdgrnd-governance-token"
            }
          ]
        },
        {
          "allocationRecipient": "Liquidity",
          "totalAllocationUSD": 454707.54584000615,
          "totalAllocationNative": 12000000,
          "cumulativeUnlockedUSD": 454707.54584000615,
          "cumulativeUnlockedNative": 12000000,
          "unlocksRemainingUSD": 0,
          "unlocksRemainingNative": 0,
          "percentOfUnlocksCompleted": 1,
          "description": "1.2% allocation, 80% of allocation released at TGE, followed by 3-month cliff for the remaining 20%, no vesting.",
          "assumptions": "",
          "sources": [
            {
              "sourceType": "Project Documents",
              "source": "https://docs.superwalk.io/english/tokenomics/usdgrnd-governance-token"
            }
          ]
        }
      ]
    },
    {
      "asset": {
        "id": "37d2bdc2-ff12-4342-871b-7a12a240e954",
        "name": "PoolTogether",
        "slug": "pooltogether",
        "symbol": "POOL"
      },
      "genesisDate": "2021-02-17T00:00:00Z",
      "projectedEndDate": "2028-08-08T00:00:00Z",
      "totalAllocationUSD": 14038964.688588783,
      "totalAllocationNative": 9996000,
      "cumulativeUnlockedUSD": 11021694.485205283,
      "cumulativeUnlockedNative": 7847648.35,
      "unlocksRemainingUSD": 3017270.203383498,
      "unlocksRemainingNative": 2148351.65,
      "percentOfUnlocksCompleted": 0.7850788665466186,
      "allocationRecipientCount": 7,
      "lastUpdatedAt": "2024-12-26T02:48:30.068492Z",
      "allocations": [
        {
          "allocationRecipient": "Retroactive Depositers",
          "totalAllocationUSD": 1966241.5530236391,
          "totalAllocationNative": 1400000,
          "cumulativeUnlockedUSD": 1966241.5530236391,
          "cumulativeUnlockedNative": 1400000,
          "unlocksRemainingUSD": 0,
          "unlocksRemainingNative": 0,
          "percentOfUnlocksCompleted": 1,
          "description": "100% vested at TGE.",
          "assumptions": "",
          "sources": [
            {
              "sourceType": "Project Website",
              "source": "https://medium.com/pooltogether/introducing-pool-23b09f36db48"
            }
          ]
        },
        {
          "allocationRecipient": "Treasury",
          "totalAllocationUSD": 8075634.949918518,
          "totalAllocationNative": 5750000,
          "cumulativeUnlockedUSD": 5058364.74653502,
          "cumulativeUnlockedNative": 3601648.35,
          "unlocksRemainingUSD": 3017270.203383498,
          "unlocksRemainingNative": 2148351.65,
          "percentOfUnlocksCompleted": 0.6263736260869566,
          "description": "Non-linear vesting dependent on governance",
          "assumptions": "Took 1407 days for 51%, assume it will take similar time to unlock rest.",
          "sources": [
            {
              "sourceType": "Project Website",
              "source": "https://medium.com/pooltogether/introducing-pool-23b09f36db48"
            }
          ]
        },
        {
          "allocationRecipient": "Team / Contributors",
          "totalAllocationUSD": 1747146.0656867193,
          "totalAllocationNative": 1244000,
          "cumulativeUnlockedUSD": 1747146.0656867193,
          "cumulativeUnlockedNative": 1244000,
          "unlocksRemainingUSD": 0,
          "unlocksRemainingNative": 0,
          "percentOfUnlocksCompleted": 1,
          "description": "1 year cliff, followed by linear monthly vesting over 1 year.",
          "assumptions": "",
          "sources": [
            {
              "sourceType": "Project Website",
              "source": "https://medium.com/pooltogether/introducing-pool-23b09f36db48"
            }
          ]
        },
        {
          "allocationRecipient": "Liquidity Mining",
          "totalAllocationUSD": 702229.1260798711,
          "totalAllocationNative": 500000,
          "cumulativeUnlockedUSD": 702229.1260798711,
          "cumulativeUnlockedNative": 500000,
          "unlocksRemainingUSD": 0,
          "unlocksRemainingNative": 0,
          "percentOfUnlocksCompleted": 1,
          "description": "14 week liquidity mining program where 5,100 POOL is distributed per day.",
          "assumptions": "",
          "sources": [
            {
              "sourceType": "Project Website",
              "source": "https://medium.com/pooltogether/introducing-pool-23b09f36db48"
            }
          ]
        },
        {
          "allocationRecipient": "Voters",
          "totalAllocationUSD": 140445.8252159742,
          "totalAllocationNative": 100000,
          "cumulativeUnlockedUSD": 140445.8252159742,
          "cumulativeUnlockedNative": 100000,
          "unlocksRemainingUSD": 0,
          "unlocksRemainingNative": 0,
          "percentOfUnlocksCompleted": 1,
          "description": "100% vested at TGE.",
          "assumptions": "",
          "sources": [
            {
              "sourceType": "Project Website",
              "source": "https://medium.com/pooltogether/introducing-pool-23b09f36db48"
            }
          ]
        }
      ]
    },
    {
      "asset": {
        "id": "1e31218a-e44e-4285-820c-8282ee222035",
        "name": "Bitcoin",
        "slug": "bitcoin",
        "symbol": "BTC"
      },
      "genesisDate": "2009-01-03T00:00:00Z",
      "projectedEndDate": "2139-12-31T00:00:00Z",
      "totalAllocationUSD": 2299094996083.345,
      "totalAllocationNative": 21000000,
      "cumulativeUnlockedUSD": 2182973547532.4656,
      "cumulativeUnlockedNative": 19939343.34,
      "unlocksRemainingUSD": 116121448550.87973,
      "unlocksRemainingNative": 1060656.6600000001,
      "percentOfUnlocksCompleted": 0.9494925399999999,
      "allocationRecipientCount": 1,
      "lastUpdatedAt": "2025-03-18T13:52:25.458369Z",
      "allocations": [
        {
          "allocationRecipient": "Block Rewards",
          "totalAllocationUSD": 2299094996083.345,
          "totalAllocationNative": 21000000,
          "cumulativeUnlockedUSD": 2182973547532.4656,
          "cumulativeUnlockedNative": 19939343.34,
          "unlocksRemainingUSD": 116121448550.87973,
          "unlocksRemainingNative": 1060656.6600000001,
          "percentOfUnlocksCompleted": 0.9494925399999999,
          "description": "Incetive given to miners for successfully adding new block to the bitcoin network. Distribution mechanisim of 21 million BTC. ",
          "assumptions": "Estimation of daily block rewards and halvening dates. ",
          "sources": [
            {
              "sourceType": "Whitepaper",
              "source": "https://bitcoin.org/bitcoin.pdf"
            }
          ]
        }
      ]
    },
    {
      "asset": {
        "id": "9fb6e340-7969-4047-86ae-d60cb11a70ad",
        "name": "FLOKI",
        "slug": "floki",
        "symbol": "FLOKI"
      },
      "genesisDate": "2021-06-21T00:00:00Z",
      "projectedEndDate": "2021-06-21T00:00:00Z",
      "totalAllocationUSD": 733123.7104386332,
      "totalAllocationNative": 10000000000,
      "cumulativeUnlockedUSD": 733123.7104386332,
      "cumulativeUnlockedNative": 10000000000,
      "unlocksRemainingUSD": 0,
      "unlocksRemainingNative": 0,
      "percentOfUnlocksCompleted": 1,
      "allocationRecipientCount": 1,
      "lastUpdatedAt": "2024-09-15T04:35:20.130704Z",
      "allocations": [
        {
          "allocationRecipient": "Community",
          "totalAllocationUSD": 733123.7104386332,
          "totalAllocationNative": 10000000000,
          "cumulativeUnlockedUSD": 733123.7104386332,
          "cumulativeUnlockedNative": 10000000000,
          "unlocksRemainingUSD": 0,
          "unlocksRemainingNative": 0,
          "percentOfUnlocksCompleted": 1,
          "description": "100% vested at TGE.",
          "assumptions": "",
          "sources": [
            {
              "sourceType": "Project Website",
              "source": "https://floki.com/timeline"
            }
          ]
        }
      ]
    }
  ]
}
{
"data": "<unknown>",
"error": "<string>"
}
{
"data": "<unknown>",
"error": "<string>"
}
{
"data": "<unknown>",
"error": "<string>"
}
x402 Support: Supported. See the x402 guide.

Authorizations

X-Messari-API-Key
string
header
required

Query Parameters

assetId
string
default:solana
required

Asset identifier - accepts either slug (e.g. 'solana') or UUID

Example:

"solana"

Response

Default response

data
object[]
required
error
string